# Astronomy Notebooks for All
Jupyter Notebooks play a central role in modern data science workflows. Despite their importance, these notebooks are inaccessible to people with disabilities, especially those who rely on assistive technology. Impacted users must find extreme workarounds or [give up using them entirely.](https://www.freelists.org/post/program-l/Accessability-of-Jupyter-notebooks) Students with disabilities have [reported leaving their field](https://github.com/jupyterlab/jupyterlab/issues/9399#issuecomment-740524422) once they learn their chosen career’s foundational tools are inaccessible to them. 

This is a challenging problem to solve. The Notebooks for All project is taking the first steps, initially focusing on static notebooks: 
- Running usability feedback sessions with impacted users who rely on a variety of assistive technology
- Capturing what makes notebooks inaccessible with assistive technology, and compiling documents that describe the issues and feedback
- Editing notebooks based on the feedback
- Organizing events to spread awareness in the scientific community about this issue

## Collaborators
[Space Telescope Science Institute](https://www.stsci.edu/) produces extensive community resources and infrastructure in Jupyter. The Institute has committed to fostering an inclusive environment and has funded this project in 2022-2023 as part of the Director’s Discretionary Fund. Other collaborators include community contributions and work from STEM- and accessibility-focused organizations such as [Iota School](https://iotaschool.com/) and [Quansight Labs](https://www.quansight.com/labs).

## Resources
[A Curated List of STScI notebooks](https://github.com/spacetelescope/notebooks)  
[Accessibility Analysis of Jupyter Notebook HTML Output](https://www.youtube.com/watch?v=KsUF_HjA97U&t=253s)  
[Astronomy Notebooks For All full proposal](resources/proposal-astronomy-notebooks-for-all.md)

## License
This repository hosts mixed content types. Suitable licenses apply to each type. All of the repository except the `[user-tests](user-tests)` directory are under a [3-Clause BSD license](LICENSE). All content in the `[user-tests](user-tests)` directory is under a [CC-BY license](https://creativecommons.org/licenses/by/4.0/).
