# Possible test notebooks

A list of existing notebooks that could be used during our rounds of user tests. They may also provide inspiration to custom test notebooks we may make.

| Notebook or collection name | Test candidate? | Used in test? (date) |
| --- | --- | --- | 
| [JupyterLab examples test.ipynb](https://github.com/jupyterlab/jupyterlab/blob/master/examples/notebook/test.ipynb) |  |  |
| [nbconvert examples](https://github.com/jupyter/nbconvert-examples) |  |  |
| [Lorenz notebook](https://github.com/jupyterlab/jupyterlab-demo/blob/master/notebooks/Lorenz.ipynb) | Yes |  |
| [JupyterLab benchmarks test noteboks](https://github.com/jupyterlab/benchmarks/tree/master/examples/from-benchmarks) |  |  |
| [Cosmic Origins Spectograph notebooks](https://www.stsci.edu/hst/instrumentation/cos/documentation/notebooks) |  |  |
| [STScI notebook style guide template](https://github.com/spacetelescope/style-guides/blob/master/templates/example_notebook.ipynb) |  | Yes (Test 1, August 2022) |
| [STScI notebook style guide](https://github.com/spacetelescope/style-guides/blob/master/guides/jupyter-notebooks.md) | Yes |  |
| [STScI JDAT notebooks](https://github.com/spacetelescope/jdat_notebooks/tree/main/notebooks) [(Rendered here)](https://spacetelescope.github.io/jdat_notebooks/intro.html) |  |  |
| [STScI JWebbinar notebooks](https://github.com/spacetelescope/jwebbinar_prep) | Maybe (needs content review) |  |


The following are axes we considered choosing notebooks based on. If they end up being a deciding factor we take note of, then they will be added to the above table.

- length (in cells)
- has MD cells
- has code cells
- has text-only outputs
- has non-text outputs
- notes about outputs
- uses STScI data
- follows STScI notebook guidelines
- renders successfully (in viewer tool)
- Test hosts can explain it