# User testing resources for notebooks

Astronomy Notebooks for All - STScI

## General user testing resources

[Steve Krug usability testing guides](https://sensible.com/download-files/)
- Usability test script
- Recording consent form
- Usability Testing Checklists
- “Things a therapist would say”

[Remote Usability Testing: Study Guide - Nielsen Norman Group](https://www.nngroup.com/articles/remote-usability-testing-study-guide/)

[How you can perform cheap unmoderated usability testing using Zoom - UX Collective](https://uxdesign.cc/how-you-can-perform-cheap-unmoderated-usability-testing-using-zoom-9dbef023570e)

## Test-specific resources

- [jupyter/nbformat](https://github.com/jupyter/nbformat)
- [jupyter/nbconvert](https://github.com/jupyter/nbconvert)
- [jupyter/nbviewer](https://github.com/jupyter/nbviewer)
    - What is the STScI equivalent for this?
- [jupyter/nbconvert-examples](https://github.com/jupyter/nbconvert-examples)
- [JupyterLab UI overview - Adobe Experience League](https://experienceleague.adobe.com/docs/experience-platform/data-science-workspace/jupyterlab/overview.html?lang=en#code-cells)
- [Some jupyterlab/jupyterlab user stories](https://github.com/jupyterlab/jupyterlab/tree/master/design)
- [The Lorenz Notebook](https://github.com/jupyterlab/jupyterlab-demo/blob/master/notebooks/Lorenz.ipynb)

## Accessibility

- [Browsing with assistive technology videos](https://tetralogical.com/blog/2021/12/24/browsing-with-assistive-technology-videos/)
- [Remotely Co-Designing Features for Communication Applications using Automatic Captioning with Deaf and Hearing Pairs](https://dl.acm.org/doi/fullHtml/10.1145/3491102.3501843)
- [CAIR Lab - RIT](http://cair.rit.edu/projects.html)
