# Issues

Bugs, issues, and other specific feedback or discussions from this round of tests can be found throughout the repository in issues. Listed below, they are

* [Additional comment on Page title and notebook title do not match](https://github.com/Iota-School/notebooks-for-all/issues/10#issuecomment-1540950862)
* [Additional comment on Explore landmark options in rendered notebook](https://github.com/Iota-School/notebooks-for-all/issues/5#issuecomment-1540967184)
* [Syntax highlighting feedback](https://github.com/Iota-School/notebooks-for-all/issues/54)
* [Improve color contrast in rendered notebook](https://github.com/Iota-School/notebooks-for-all/issues/57)
* [Improve errow/warning cell outputs](https://github.com/Iota-School/notebooks-for-all/issues/58)
* [Improve video output experiences](https://github.com/Iota-School/notebooks-for-all/issues/60)
* [Cell navigation feedback](https://github.com/Iota-School/notebooks-for-all/issues/61)

## Questions for future tests

Based on each session and the conversations we had with the development team, we’ve come up with a list of questions we’d like to explore further.

* What is the most expected or desirable cell navigation experience? Could there be more than one? What are the different possibilities and how could we best compare them?
* Should keyboard shortcuts be a part of the rendered notebook experience? Or should we make better use of the browser defaults?
* How might we increase the discoverability of varied navigation methods in the notebook?
* What are the limits on cell output types and/or content in notebooks converted to HTML? How does the default accessibility on each type stack up?

## What we would do differently next time

Reflecting on these sessions as hosts, for future tests we would like to
* Explore a standard notebook with the STScI computer science channels to further discuss ideas for landmarks or other structural options in notebooks.
* Experiment with asynchronous test sessions for shorter tasks. This might enable an increased number of and more iterative A/B testing in the long term.
