# User testing information

User testing on this project was led by [Jenn Kotler](https://github.com/Jenneh) and [Isabela Presedo-Floyd](https://github.com/isabela-pf). Resources in this directory were created collaboratively.

Because this directory holds mostly non-code content, it is licensed under a [CC-BY 4.0 license](LICENSE).

## Test support

Resources not tied to any single test round.

- [Generic recording consent example](0-support/generic-recording-consent.md)
- [Outreach and recruitment email template](0-support/outreach-email-template.md)
- [Possible test notebooks](0-support/possible-test-notebooks.md)
- [User testing resources](0-support/user-testing-resources.md)

## Test 1: Navigation

August 2022. How do users navigate and access different levels of structure within HTML outputs of Jupyter notebooks?

- [Test 1 script](1-navigation/test-script.md)
- [Test 1 notebook](1-navigation/stsci_example_notebook.ipynb). Originally sourced from the [STScI notebook style guide template](https://github.com/spacetelescope/style-guides/blob/master/templates/example_notebook.ipynb). This is a template notebook for creating STScI tutorials with a mix of instruction and example.
- [Test 1 results](1-navigation/results.md)

## Test 2: Content types

November 2022–January 2023. How are users able to access a range of commonly used content types within HTML outputs of Jupyter notebooks?

- [Test 2 script](2-content/Test-script.md)
- [Test 2 notebook](2-content/Imaging_Sky_Background_Estimation.ipynb). Originally sourced from the [STScI JDAT notebooks' Imaging Sky Background Estimation notebook](https://github.com/spacetelescope/jdat_notebooks/blob/main/notebooks/background_estimation_imaging/Imaging_Sky_Background_Estimation.ipynb). This notebook is part of a STScI's post-pipeline Data Analysis Tools Ecosystem and demonstrates how to estimate the sky background in complex scenes and evaluate the quality of the sky estimation. It was modified for our tests.
- [Test 2 results](2-content/results.md)